# Uses of Class
org.apache.lucene.analysis.ko.dict.UserDictionary

Packages that use UserDictionary
Package
Description
org.apache.lucene.analysis.ko
Analyzer for Korean.
org.apache.lucene.analysis.ko.dict
Korean dictionary implementation.

- ## Uses of UserDictionary in org.apache.lucene.analysis.ko

  Constructors in org.apache.lucene.analysis.ko with parameters of type UserDictionary
  Modifier
  Constructor
  Description
  ``
  `KoreanAnalyzer(UserDictionary userDict, KoreanTokenizer.DecompoundMode mode, Set<POS.Tag> stopTags, boolean outputUnknownUnigrams)`
  Creates a new KoreanAnalyzer.
  ``
  `KoreanTokenizer(AttributeFactory factory, TokenInfoDictionary systemDictionary, UnknownDictionary unkDictionary, ConnectionCosts connectionCosts, UserDictionary userDictionary, KoreanTokenizer.DecompoundMode mode, boolean outputUnknownUnigrams, boolean discardPunctuation)`
  Create a new KoreanTokenizer supplying a custom system dictionary and unknown dictionary.
  ``
  `KoreanTokenizer(AttributeFactory factory, UserDictionary userDictionary, KoreanTokenizer.DecompoundMode mode, boolean outputUnknownUnigrams)`
  Create a new KoreanTokenizer using the system and unknown dictionaries shipped with Lucene.
  ``
  `KoreanTokenizer(AttributeFactory factory, UserDictionary userDictionary, KoreanTokenizer.DecompoundMode mode, boolean outputUnknownUnigrams, boolean discardPunctuation)`
  Create a new KoreanTokenizer using the system and unknown dictionaries shipped with Lucene.

- ## Uses of UserDictionary in org.apache.lucene.analysis.ko.dict

  Methods in org.apache.lucene.analysis.ko.dict that return UserDictionary
  Modifier and Type
  Method
  Description
  `static UserDictionary`
  UserDictionary.`open(Reader reader)`